<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
set_time_limit(500);
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactive.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/gsnavigationactivecont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Func/netsCollection.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Gsnavigation/Gsnavigation/gsnavigationunit.php');


class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'gsnavigationunit','sttColumnHead'=>'gsnut'),
			array('sttTableName'=>$this->sysTableHead.'gsnavigationunitcont','sttColumnHead'=>'gsnuct'),);
		$this->sUiName='Platform/gsnavigation/gsnavigationunit';
	}
	public function OnBInitial(){
		$this->sMetaTitle='团购单位';
		$this->sLimitCount=0;
		$this->sApp=new gsnavigationunit($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.gsnugtID,A.gsnugtName,A.gsnugtParid FROM '.$this->sysTableHead.'gsnavigationunitgroup AS A
			WHERE 1=1 AND A.gsnugtRecycle=0 AND A.gsnugtChecked>1 AND A.gsnugtParid={Nets.Parid}
			ORDER BY A.gsnugtOrderBy DESC,A.gsnugtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.gsnugtID,A.gsnugtName,A.gsnugtParid FROM '.$this->sysTableHead.'gsnavigationunitgroup AS A
			WHERE 1=1 AND A.gsnugtRecycle=0 AND A.gsnugtChecked>1 AND A.gsnugtID={Nets.Parid}
			ORDER BY A.gsnugtOrderBy DESC,A.gsnugtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='gsnugtID';
		$tmpAR0['Text']='gsnugtName';
		$tmpAR0['Value']='gsnugtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Groupsalenavigation_Unitgroup';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sParid1);
		$this->sParid2=$this->sParid1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		//Zone
		$tmpSTR_0='';
		$tmpAR0=explode($this->sysSPLIT1,$this->sysFileConfig['Zone_Opened']);
		foreach ($tmpAR0 as $Row0){
			$tmpSTR_0.=' OR A.sztName LIKE \''.$Row0.'\' ';
		}
		
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.sztID,A.sztName
			FROM '.$this->sysTableHead.'netssyszone AS A
			WHERE 1=1 AND A.sztRecycle=0 AND A.sztChecked>1 AND A.sztType=3 AND (1=2 '.$tmpSTR_0.')
			ORDER BY A.sztOrderBy DESC,A.sztID DESC ';
		$tmpAR0['InitialString']=0;
		$tmpAR0['Parid']='sztID';
		$tmpAR0['Text']='sztName';
		$tmpAR0['Value']='sztID';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Gsnavigation_Zone_City';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sZone1);
		$this->sZone2=$this->sZone1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有地区]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sZone2,$tmpAR0);
		
		//Alphabet
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=84;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Alphabet';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sAlphabet1);
		$this->sAlphabet2=$this->sAlphabet1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有字母]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sAlphabet2,$tmpAR0);
		
		//Type
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=145;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Gsnavigationunit_Type';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sType1);
		$this->sType2=$this->sType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有类型]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sType2,$tmpAR0);
		
		//CollectionType
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=116;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Gsnavigation_CollectionType';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sCollectionType1);
		$this->sCollectionType2=$this->sCollectionType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有方式]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sCollectionType2,$tmpAR0);
		
		//-- ------ #ActionType ------ --
		if ($this->sActionType=='DCollection') {
			$this->OnCollection();
		}
		
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'gsnutID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1,-1,,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.gsnutID,A.gsnutName,A.gsnutParid,A.gsnutType,A.gsnutZoneid,A.gsnutURL,A.gsnutAlphabet
			FROM '.$this->sysTableHead.'gsnavigationunit AS A 
			WHERE 1=1 
			AND A.gsnutID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.gsnutName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.gsnutParid='.$this->sSearchData[1].' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.gsnutType='.$this->sSearchData[2].' ';
		}
		if($this->sSearchData[3]!=''){
			$tmpSQL.=' AND A.gsnutURL LIKE \'%'.$this->sSearchData[3].'%\' ';
		}
		if($this->sSearchData[4]!='-1'){
			$tmpSQL.=' AND A.gsnutAlphabet LIKE \'%'.$this->sSearchData[4].'%\' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.
			$this->sSearchData[0].$this->sysSPLIT1.
			$this->sSearchData[1].$this->sysSPLIT1.
			$this->sSearchData[2].$this->sysSPLIT1.
			$this->sSearchData[3].$this->sysSPLIT1.
			$this->sSearchData[4];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'gsnutID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'gsnutName','stcoctUiName'=>'团购单位名称');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'gsnutID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.gsnutID,A.gsnutName,A.gsnutParid
			FROM '.$this->sysTableHead.'gsnavigationunit AS A 
			WHERE 1=1 
			AND A.gsnutID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.gsnutName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.gsnutParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		$this->sysPages[0]=$this->sysPage.'?'.$this->sExtendParameter;
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'gsnutID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'gsnutName','stcoctUiName'=>'团购单位名称');
		
		return 0;
	}
	public function OnExternal_ChildChoose(){
		//-- ------ #Search data ------ --
		$tmpSTR0='External_ChildChoose';
		$this->sExternal_ChildChooseSData=$this->AnalyerRequest($tmpSTR0,'0,,0,0',0);
		//#Spell sql
		$tmpSQL='';
		if($this->sExternal_ChildChooseSData[0]==0 || $this->sExternal_ChildChooseSData[0]==2){
			//-- Same grade --
			$tmpSQL=' SELECT A.gsnutID,A.gsnutName,A.gsnutParid 
				FROM '.$this->sysTableHead.'gsnavigationunit AS A
				WHERE 1=1 AND A.gsnutRecycle=0 AND A.gsnutChecked>1 AND 
				A.gsnutParid=(SELECT gsnutParid FROM groupsalenavigationunit WHERE 1=1 AND gsnutRecycle=0 AND gsnutChecked>1 AND gsnutID={Nets.ID})
				ORDER BY A.gsnutOrderBy DESC,A.gsnutID DESC ';
		}else if($this->sExternal_ChildChooseSData[0]==1 || $this->sExternal_ChildChooseSData[0]==3){
			//-- Child grade --
			$tmpSQL=' SELECT A.gsnutID,A.gsnutName,A.gsnutParid 
				FROM '.$this->sysTableHead.'gsnavigationunit AS A
				WHERE 1=1 AND A.gsnutRecycle=0 AND A.gsnutChecked>1 AND A.gsnutParid={Nets.ID}
				ORDER BY A.gsnutOrderBy DESC,A.gsnutID DESC ';
		}
		$tmpSTR=str_replace('{Nets.ID}',$this->sExternal_ChildChooseSData[2],$tmpSQL);
		$this->sExternal_ChildChooseData=$this->sDb->Search($tmpSTR);
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		$this->sMainName='';
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'gsnavigationunit AS A 
			INNER JOIN '.$this->sysTableHead.'gsnavigationunitcont AS B ON B.gsnuctIndexID=A.gsnutID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.gsnutID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.gsnutID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			$this->sMainName=$tmpRow[$this->sTable[0]['sttColumnHead'].'Name'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='gsnutParid'){
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='gsnutModelid_Detail'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='gsnutTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	public function OnCollection(){
		//Action(ALL.---,SINGLE.---),pID,pIndex,pNextflag(0.normal,1.next)
		$tmpAR0=$this->AnalyerRequest('DCollection',',0,0,0',0);
		$this->sCallback_Flag='';
		$this->sCallback_ID=0;
		$this->sCallback_Index=0;
		$this->sCallback_NextFlag='';
		
		if ($tmpAR0[0]=='ALL') {
			//-- ------ #Get IDS ------ --
			$tmpSQL=' SELECT A.gsnutID
				FROM {Nets.TableHead}gsnavigationunit AS A
				WHERE 1=1 AND A.gsnutRecycle=0 AND A.gsnutChecked>1
				ORDER BY A.gsnutID LIMIT 0,5 ';
			$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
			$tmpData0=$this->sDb->Search($tmpSTR);
			foreach ($tmpData0 as $Row0) {
				$this->sCallback_ID.=$Row0['gsnutID'].$this->sysSPLIT2;
			}
			$this->sCallback_Flag='SETIDS';
			
		}else if ($tmpAR0[0]=='SINGLE') {
			$tmpDbDescriptions=array(
				$this->sysDbDescriptions[$this->sysTableHead.'gsnavigationactive'],
				$this->sysDbDescriptions[$this->sysTableHead.'gsnavigationactivecont'],);
			$this->sApp->sDbDescriptions_Other=array(
				$this->sysDbDescriptions[$this->sysTableHead.'gsnavigationactive'],
				$this->sysDbDescriptions[$this->sysTableHead.'gsnavigationactivecont'],
				);
			$tmpDbDescriptions[0]['Columns']['gsnutID']['Value']=$this->sCode->Int32($tmpAR0[1],0);
			$tmpIndex=$tmpAR0[2];
			$tmpINT=$this->sApp->collection_ID($tmpDbDescriptions,$tmpIndex);
			
			$this->sCallback_Flag='NEXTID';
			$this->sCallback_ID=0;
			$this->sCallback_Index=$tmpIndex;
		}
		
		return 0;
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='gsnutParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='gsnutParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sParid1;
		}else if($pColumn['stcotName']=='gsnutAlphabet' && $pFlag=='Search'){
			$pColumn['Option']=$this->sAlphabet2;
		}else if($pColumn['stcotName']=='gsnutAlphabet' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sAlphabet1;
		}else if($pColumn['stcotName']=='gsnutType' && $pFlag=='Search'){
			$pColumn['Option']=$this->sType2;
		}else if($pColumn['stcotName']=='gsnutType' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sType1;
		}else if($pColumn['stcotName']=='gsnuctURL_Auto' && $pFlag=='Search'){
			$pColumn['Option']=$this->sBoolean2;
		}else if($pColumn['stcotName']=='gsnuctURL_Auto' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sBoolean1;
		}else if($pColumn['stcotName']=='gsnuctURL_Type' && $pFlag=='Search'){
			$pColumn['Option']=$this->sCollectionType2;
		}else if($pColumn['stcotName']=='gsnuctURL_Type' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sCollectionType1;

		}else if(($pColumn['stcotName']=='gsnutZoneid' || $pColumn['stcotName']=='gsnutShoppingid') && ($pFlag=='Normal' || $pFlag=='List' || $pFlag=='Search')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
			
			//gsnutZoneid
			$tmpSQL=' SELECT A.sztID,A.sztName AS tName
				FROM {Nets.TableHead}netssyszone AS A
				WHERE 1=1 AND A.sztRecycle=0 AND A.sztChecked>1 AND A.sztID={Nets.ID} ';
			$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
			$tmpSTR=str_replace('{Nets.ID}',$this->sCode->Int32($pColumn['Value'],0),$tmpSTR);
			$tmpData0=$this->sDb->Search($tmpSTR);
			if(count($tmpData0)>0){
				$pColumn['ShowValue']=$tmpData0[0]['tName'];
			}
		}else if(($pColumn['stcotName']=='gsnuctZones' || $pColumn['stcotName']=='gsnuctShoppings') && ($pFlag=='Normal' || $pFlag=='List' || $pFlag=='Search')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
			
		
			
			
		}
		return $pColumn;
	}
	public function DefUiButton($pFlag,$Exception){
		parent::DefUiButton($pFlag,array('List','Normal',));
		if($pFlag=='List' && !in_array($pFlag,$Exception)){ ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onDelete_Multiple();tmpCommon.setActionType('','DDelete_Multiple','',''); tmpCommon.netsSubmit();">批量删除</a></li>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onNormal_MultipleByTxt('','','');">批量修改所选（文本）</a></li>
<!--<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onNormal_Multiple(''); tmpCommon.netsSubmit();">批量修改所选</a></li>-->
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpControl.onModify_Page();tmpCommon.setActionType('','DModify_Page','',''); tmpCommon.netsSubmit();">保存本页修改</a></li>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpFrames.showContent('采集所有网站的今日团购信息','',0,0,'',0); tmpGsnavigation.OnCollection_ALL();">采集所有网站的今日团购信息</a></li>

<script src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/m_nets/Jscript/Mana/Gsnavigation.js" type="text/javascript"></script>

<?php }else if ($pFlag=='Normal' && !in_array($pFlag,$Exception)) { ?>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpCommon.confirmDo('删除后将不能恢复，您确定删除本信息吗?');tmpCommon.setActionType('','DDelete','',''); tmpCommon.netsSubmit();">删除</a></li>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpCommon.setActionType('Normal','DModify','',''); tmpCommon.netsSubmit();">修改</a></li>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpCommon.setActionType('Normal','DAdd','',''); tmpCommon.netsSubmit();">添加</a></li>
<li class="ButBut Button_Normal"><a href="#Here" class="Link1 FBlack2" onclick="tmpFrames.showContent('采集（<?php echo ($this->sMainName); ?>）的今日团购信息','',0,0,'',0); tmpGsnavigation.OnCollection_Byid(<?php echo ($this->sMainID); ?>);">采集（<?php echo ($this->sMainName); ?>）的今日团购信息</a></li>

<script src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/m_nets/Jscript/Mana/Gsnavigation.js" type="text/javascript"></script>

		<?php }
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
if ($tmpDefault->sActionType=='DCollection') {
	require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Head_1.php');
	require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Gsnavigation/gsnavigation_unit.php');
	require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/End_1.php');
}else {
	require($tmpDefault->sysFileConfig['sysCoreRoot_Real'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php');
} ?>